<?php

require 'engine/Engine.php';
require 'engine/TagLib.php';
require 'engine/Tags.php';
require 'extend/Article.php';

$t1 = microtime(true);

// 获取模板引擎实例
$config = [
    'ext' => 'html',
    'path' => './views/',
    'left' => '<',
    'right' => '>',
];
$engine = Engine::instance($config);
// 加载自定义标签库
$engine->loadTaglib('article', Article::class);
// 读取模板内容
$template = file_get_contents('./views/index.html');
// 编译并写入
$content = $engine->compile($template);
file_put_contents('./tmp_compiled.php', $content);

$t2 = microtime(true);

echo '运行时间：' . ($t2 - $t1);
